Tabs

Bootstrap tabs

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap tabs are components which separate content placed in the same wrapper but in the separate pane. Only one pane can be displayed at a time.

If you are using navs to provide a navigation bar, be sure to add a role="navigation" to the most logical parent container of the <ul>, or wrap a <nav> element around the whole navigation. Do not add the role to the <ul> itself, as this would prevent it from being announced as an actual list by assistive technologies.

Note: You can find more detailed information in the Navs documentation

Note: If you are looking for pills, go to the Pills documentation


Default tabs

Default styling for Bootstrap Tabs component

Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.
Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.
Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.
        
            

            <ul class="nav nav-tabs" id="myTab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home"
                  aria-selected="true">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile"
                  aria-selected="false">Profile</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="contact-tab" data-toggle="tab" href="#contact" role="tab" aria-controls="contact"
                  aria-selected="false">Contact</a>
              </li>
            </ul>
            <div class="tab-content" id="myTabContent">
              <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">Raw denim you
                probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master
                cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro
                keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip
                placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi
                qui.</div>
              <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">Food truck fixie
                locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit,
                blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee.
                Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum
                PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS
                salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit,
                sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester
                stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.</div>
              <div class="tab-pane fade" id="contact" role="tabpanel" aria-labelledby="contact-tab">Etsy mixtape
                wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack
                lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard
                locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify
                squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie
                etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog
                stumptown. Pitchfork sustainable tofu synth chambray yr.</div>
            </div>

          
        
    

Material tabs MDB Pro component

Material Design styling for Bootstrap Tabs component

Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.

Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.

Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.

        
            

            <ul class="nav nav-tabs md-tabs" id="myTabMD" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="home-tab-md" data-toggle="tab" href="#home-md" role="tab" aria-controls="home-md"
                  aria-selected="true">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="profile-tab-md" data-toggle="tab" href="#profile-md" role="tab" aria-controls="profile-md"
                  aria-selected="false">Profile</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="contact-tab-md" data-toggle="tab" href="#contact-md" role="tab" aria-controls="contact-md"
                  aria-selected="false">Contact</a>
              </li>
            </ul>
            <div class="tab-content card pt-5" id="myTabContentMD">
              <div class="tab-pane fade show active" id="home-md" role="tabpanel" aria-labelledby="home-tab-md">
                <p>Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua,
                  retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica.
                  Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry
                  richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american
                  apparel, butcher voluptate nisi qui.</p>
              </div>
              <div class="tab-pane fade" id="profile-md" role="tabpanel" aria-labelledby="profile-tab-md">
                <p>Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid.
                  Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko
                  farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip
                  jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna
                  delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan
                  fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry
                  richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus
                  tattooed echo park.</p>
              </div>
              <div class="tab-pane fade" id="contact-md" role="tabpanel" aria-labelledby="contact-tab-md">
                <p>Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo
                  retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer,
                  iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony.
                  Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles
                  pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of
                  them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.</p>
              </div>
            </div>

          
        
    


Tabs justified MDB Pro component

Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.

Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.

Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.

        
            

        <ul class="nav nav-tabs nav-justified md-tabs indigo" id="myTabJust" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="home-tab-just" data-toggle="tab" href="#home-just" role="tab" aria-controls="home-just"
              aria-selected="true">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="profile-tab-just" data-toggle="tab" href="#profile-just" role="tab" aria-controls="profile-just"
              aria-selected="false">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="contact-tab-just" data-toggle="tab" href="#contact-just" role="tab" aria-controls="contact-just"
              aria-selected="false">Contact</a>
          </li>
        </ul>
        <div class="tab-content card pt-5" id="myTabContentJust">
          <div class="tab-pane fade show active" id="home-just" role="tabpanel" aria-labelledby="home-tab-just">
            <p>Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro
              synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher
              retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip
              placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.</p>
          </div>
          <div class="tab-pane fade" id="profile-just" role="tabpanel" aria-labelledby="profile-tab-just">
            <p>Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1
              labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft
              beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad
              vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar
              helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes
              anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party
              scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.</p>
          </div>
          <div class="tab-pane fade" id="contact-just" role="tabpanel" aria-labelledby="contact-tab-just">
            <p>Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro
              fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone
              skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings
              gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork
              biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl
              craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.</p>
          </div>
        </div>

      
        
    

Pills within tabs MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            

        <!-- Nav tabs -->
        <ul class="nav nav-tabs md-tabs nav-justified primary-color" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" data-toggle="tab" href="#panel555" role="tab">
              <i class="fas fa-user pr-2"></i>Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#panel666" role="tab">
              <i class="fas fa-heart pr-2"></i>Follow</a>
          </li>
        </ul>
        <!-- Nav tabs -->

        <!-- Tab panels -->
        <div class="tab-content">

          <!-- Panel 1 -->
          <div class="tab-pane fade in show active" id="panel555" role="tabpanel">

            <!-- Nav tabs -->
            <div class="row">
              <div class="col-md-3">
                <ul class="nav md-pills pills-primary flex-column" role="tablist">
                  <li class="nav-item">
                    <a class="nav-link active" data-toggle="tab" href="#panel21" role="tab">Downloads
                      <i class="fas fa-download ml-2"></i>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#panel22" role="tab">Orders & invoices
                      <i class="fas fa-file-alt ml-2"></i>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#panel23" role="tab">Billing details
                      <i class="fas fa-address-card ml-2"></i>
                    </a>
                  </li>
                </ul>
              </div>
              <div class="col-md-9">
                <!-- Tab panels -->
                <div class="tab-content vertical">
                  <!-- Panel 1 -->
                  <div class="tab-pane fade in show active" id="panel21" role="tabpanel">
                    <h5 class="my-2 h5">Panel 1</h5>
                  </div>
                  <!-- Panel 1 -->
                  <!-- Panel 2 -->
                  <div class="tab-pane fade" id="panel22" role="tabpanel">
                    <h5 class="my-2 h5">Panel 2</h5>
                  </div>
                  <!-- Panel 2 -->
                  <!-- Panel 3 -->
                  <div class="tab-pane fade" id="panel23" role="tabpanel">
                    <h5 class="my-2 h5">Panel 3</h5>
                  </div>
                  <!-- Panel 3 -->
                </div>
              </div>
            </div>
            <!-- Nav tabs -->

          </div>
          <!-- Panel 1 -->

          <!-- Panel 2 -->
          <div class="tab-pane fade" id="panel666" role="tabpanel">

            <p class="pt-5">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
              doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
              ratione porro voluptate odit minima.</p>
            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
              reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
              porro voluptate odit minima.</p>

          </div>
          <!-- Panel 2 -->

        </div>
        <!-- Tab panels -->

      
        
    

Classic tabs MDB Pro component

With border

Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.

Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?

At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

        
            

        <!-- Classic tabs -->
        <div class="classic-tabs">

          <ul class="nav tabs-cyan" id="myClassicTab" role="tablist">
            <li class="nav-item">
              <a class="nav-link  waves-light active show" id="profile-tab-classic" data-toggle="tab" href="#profile-classic"
                role="tab" aria-controls="profile-classic" aria-selected="true">Profile</a>
            </li>
            <li class="nav-item">
              <a class="nav-link waves-light" id="follow-tab-classic" data-toggle="tab" href="#follow-classic" role="tab"
                aria-controls="follow-classic" aria-selected="false">Follow</a>
            </li>
            <li class="nav-item">
              <a class="nav-link waves-light" id="contact-tab-classic" data-toggle="tab" href="#contact-classic" role="tab"
                aria-controls="contact-classic" aria-selected="false">Contact</a>
            </li>
            <li class="nav-item">
              <a class="nav-link waves-light" id="awesome-tab-classic" data-toggle="tab" href="#awesome-classic" role="tab"
                aria-controls="awesome-classic" aria-selected="false">Be awesome</a>
            </li>
          </ul>
          <div class="tab-content border-right border-bottom border-left rounded-bottom" id="myClassicTabContent">
            <div class="tab-pane fade active show" id="profile-classic" role="tabpanel" aria-labelledby="profile-tab-classic">
              <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium,
                totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta
                sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia
                consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui
                dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora
                incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>
            </div>
            <div class="tab-pane fade" id="follow-classic" role="tabpanel" aria-labelledby="follow-tab-classic">
              <p>Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut
                aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse
                quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
            </div>
            <div class="tab-pane fade" id="contact-classic" role="tabpanel" aria-labelledby="contact-tab-classic">
              <p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum
                deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non
                provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga.
                Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est
                eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas
                assumenda est, omnis dolor repellendus. </p>
            </div>
            <div class="tab-pane fade" id="awesome-classic" role="tabpanel" aria-labelledby="awesome-tab-classic">
              <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et
                dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore
                eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia
                deserunt mollit anim id est laborum.</p>
            </div>
          </div>

        </div>
        <!-- Classic tabs -->

      
        
    

With shadow

Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.

Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?

At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

        
            

        <!-- Classic tabs -->
        <div class="classic-tabs mx-2">

          <ul class="nav tabs-cyan" id="myClassicTabShadow" role="tablist">
            <li class="nav-item">
              <a class="nav-link  waves-light active show" id="profile-tab-classic-shadow" data-toggle="tab" href="#profile-classic-shadow"
                role="tab" aria-controls="profile-classic-shadow" aria-selected="true">Profile</a>
            </li>
            <li class="nav-item">
              <a class="nav-link waves-light" id="follow-tab-classic-shadow" data-toggle="tab" href="#follow-classic-shadow"
                role="tab" aria-controls="follow-classic-shadow" aria-selected="false">Follow</a>
            </li>
            <li class="nav-item">
              <a class="nav-link waves-light" id="contact-tab-classic-shadow" data-toggle="tab" href="#contact-classic-shadow"
                role="tab" aria-controls="contact-classic-shadow" aria-selected="false">Contact</a>
            </li>
            <li class="nav-item">
              <a class="nav-link waves-light" id="awesome-tab-classic-shadow" data-toggle="tab" href="#awesome-classic-shadow"
                role="tab" aria-controls="awesome-classic-shadow" aria-selected="false">Be awesome</a>
            </li>
          </ul>

          <div class="tab-content card" id="myClassicTabContentShadow">
            <div class="tab-pane fade active show" id="profile-classic-shadow" role="tabpanel" aria-labelledby="profile-tab-classic-shadow">
              <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium,
                totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta
                sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia
                consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui
                dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora
                incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>
            </div>
            <div class="tab-pane fade" id="follow-classic-shadow" role="tabpanel" aria-labelledby="follow-tab-classic-shadow">
              <p>Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut
                aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse
                quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
            </div>
            <div class="tab-pane fade" id="contact-classic-shadow" role="tabpanel" aria-labelledby="contact-tab-classic-shadow">
              <p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum
                deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non
                provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga.
                Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est
                eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas
                assumenda est, omnis dolor repellendus. </p>
            </div>
            <div class="tab-pane fade" id="awesome-classic-shadow" role="tabpanel" aria-labelledby="awesome-tab-classic-shadow">
              <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et
                dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore
                eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia
                deserunt mollit anim id est laborum.</p>
            </div>
          </div>

        </div>
        <!-- Classic tabs -->

      
        
    

Color options:

  • tabs-cyan
  • tabs-orange
  • tabs-grey
  • tabs-pink
  • tabs-green
  • tabs-primary

Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.

Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?

At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

        
            

        <!-- Classic tabs -->
        <div class="classic-tabs mx-2">

          <ul class="nav tabs-orange" id="myClassicTabOrange" role="tablist">
            <li class="nav-item">
              <a class="nav-link  waves-light active show" id="profile-tab-classic-orange" data-toggle="tab" href="#profile-classic-orange"
                role="tab" aria-controls="profile-classic-orange" aria-selected="true"><i class="fas fa-user fa-2x pb-2"
                  aria-hidden="true"></i><br>Profile</a>
            </li>
            <li class="nav-item">
              <a class="nav-link waves-light" id="follow-tab-classic-orange" data-toggle="tab" href="#follow-classic-orange"
                role="tab" aria-controls="follow-classic-orange" aria-selected="false"><i class="fas fa-heart fa-2x pb-2"
                  aria-hidden="true"></i><br>Follow</a>
            </li>
            <li class="nav-item">
              <a class="nav-link waves-light" id="contact-tab-classic-orange" data-toggle="tab" href="#contact-classic-orange"
                role="tab" aria-controls="contact-classic-orange" aria-selected="false"><i class="fas fa-envelope fa-2x pb-2"
                  aria-hidden="true"></i><br>Contact</a>
            </li>
            <li class="nav-item">
              <a class="nav-link waves-light" id="awesome-tab-classic-orange" data-toggle="tab" href="#awesome-classic-orange"
                role="tab" aria-controls="awesome-classic-orange" aria-selected="false"><i class="fas fa-star fa-2x pb-2"
                  aria-hidden="true"></i><br>Be awesome</a>
            </li>
          </ul>

          <div class="tab-content card" id="myClassicTabContentOrange">
            <div class="tab-pane fade active show" id="profile-classic-orange" role="tabpanel" aria-labelledby="profile-tab-classic-orange">
              <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium,
                totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta
                sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia
                consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui
                dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora
                incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>
            </div>
            <div class="tab-pane fade" id="follow-classic-orange" role="tabpanel" aria-labelledby="follow-tab-classic-orange">
              <p>Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut
                aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse
                quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
            </div>
            <div class="tab-pane fade" id="contact-classic-orange" role="tabpanel" aria-labelledby="contact-tab-classic-orange">
              <p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum
                deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non
                provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga.
                Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est
                eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas
                assumenda est, omnis dolor repellendus. </p>
            </div>
            <div class="tab-pane fade" id="awesome-classic-orange" role="tabpanel" aria-labelledby="awesome-tab-classic-orange">
              <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et
                dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore
                eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia
                deserunt mollit anim id est laborum.</p>
            </div>
          </div>

        </div>
        <!-- Classic tabs -->

      
        
    

JavaScript behavior

To use the tab JavaScript plugin, you can include it individually or through the compiled bootstrap.js file; this allows you to extend our navigational tabs and pills to create tabbable panes of local content, even via dropdown menus.

Dynamic tabbed interfaces, as described in the WAI ARIA Authoring Practices, require role="tablist", role="tab", role="tabpanel", and additional aria- attributes in order to convey their structure, functionality and current state to users of assistive technologies (such as screen readers).

Note that dynamic tabbed interfaces should not contain dropdown menus, as this causes both usability and accessibility issues. From a usability perspective, the fact that the currently displayed tab’s trigger element is not immediately visible (as it’s inside the closed dropdown menu) can cause confusion. From an accessibility point of view, there is currently no sensible way to map this sort of construct to a standard WAI ARIA pattern, meaning that it cannot be easily made understandable to users of assistive technologies.

Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.

Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.

Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.

        
            

        <ul class="nav nav-tabs md-tabs" id="myTabEx" role="tablist">
          <li class="nav-item">
            <a class="nav-link active show" id="home-tab-ex" data-toggle="tab" href="#home-ex" role="tab" aria-controls="home-ex"
              aria-selected="true">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="profile-tab-ex" data-toggle="tab" href="#profile-ex" role="tab" aria-controls="profile-ex"
              aria-selected="false">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="contact-tab-ex" data-toggle="tab" href="#contact-ex" role="tab" aria-controls="contact-ex"
              aria-selected="false">Contact</a>
          </li>
        </ul>
        <div class="tab-content pt-5" id="myTabContentEx">
          <div class="tab-pane fade active show" id="home-ex" role="tabpanel" aria-labelledby="home-tab-ex">
            <p>Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro
              synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher
              retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip
              placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.</p>
          </div>
          <div class="tab-pane fade" id="profile-ex" role="tabpanel" aria-labelledby="profile-tab-ex">
            <p>Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1
              labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft
              beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad
              vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar
              helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes
              anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party
              scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.</p>
          </div>
          <div class="tab-pane fade" id="contact-ex" role="tabpanel" aria-labelledby="contact-tab-ex">
            <p>Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro
              fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone
              skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings
              gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork
              biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl
              craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.</p>
          </div>
        </div>

      
        
    

To help fit your needs, this works with <ul>-based markup, as shown above, or with any arbitrary “roll your own” markup. Note that if you’re using <nav>, you shouldn’t add role="tablist" directly to it, as this would override the element’s native role as a navigation landmark. Instead, switch to an alternative element (in the example below, a simple <div>) and wrap the <nav> around it.

        
            

        <nav>
          <div class="nav nav-tabs md-tabs" id="nav-tab" role="tablist">
            <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab"
              aria-controls="nav-home" aria-selected="true">Home</a>
            <a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab" href="#nav-profile" role="tab"
              aria-controls="nav-profile" aria-selected="false">Profile</a>
            <a class="nav-item nav-link" id="nav-contact-tab" data-toggle="tab" href="#nav-contact" role="tab"
              aria-controls="nav-contact" aria-selected="false">Contact</a>
          </div>
        </nav>
        <div class="tab-content pt-5" id="nav-tabContent">
          <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
            <p>Et et consectetur ipsum labore excepteur est proident excepteur ad velit occaecat qui minim occaecat
              veniam. Fugiat veniam incididunt anim aliqua enim pariatur veniam sunt est aute sit dolor anim. Velit non
              irure adipisicing aliqua ullamco irure incididunt irure non esse consectetur nostrud minim non minim
              occaecat. Amet duis do nisi duis veniam non est eiusmod tempor incididunt tempor dolor ipsum in qui sit.
              Exercitation mollit sit culpa nisi culpa non adipisicing reprehenderit do dolore. Duis reprehenderit
              occaecat anim ullamco ad duis occaecat ex.</p>
          </div>
          <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
            <p>Nulla est ullamco ut irure incididunt nulla Lorem Lorem minim irure officia enim reprehenderit. Magna
              duis labore cillum sint adipisicing exercitation ipsum. Nostrud ut anim non exercitation velit laboris
              fugiat cupidatat. Commodo esse dolore fugiat sint velit ullamco magna consequat voluptate minim amet
              aliquip ipsum aute laboris nisi. Labore labore veniam irure irure ipsum pariatur mollit magna in
              cupidatat dolore magna irure esse tempor ad mollit. Dolore commodo nulla minim amet ipsum officia
              consectetur amet ullamco voluptate nisi commodo ea sit eu.</p>
          </div>
          <div class="tab-pane fade" id="nav-contact" role="tabpanel" aria-labelledby="nav-contact-tab">
            <p>Sint sit mollit irure quis est nostrud cillum consequat Lorem esse do quis dolor esse fugiat sunt do. Eu
              ex commodo veniam Lorem aliquip laborum occaecat qui Lorem esse mollit dolore anim cupidatat. Deserunt
              officia id Lorem nostrud aute id commodo elit eiusmod enim irure amet eiusmod qui reprehenderit nostrud
              tempor. Fugiat ipsum excepteur in aliqua non et quis aliquip ad irure in labore cillum elit enim.
              Consequat aliquip incididunt ipsum et minim laborum laborum laborum et cillum labore. Deserunt
              adipisicing cillum id nulla minim nostrud labore eiusmod et amet. Laboris consequat consequat commodo non
              ut non aliquip reprehenderit nulla anim occaecat. Sunt sit ullamco reprehenderit irure ea ullamco Lorem
              aute nostrud magna.</p>
          </div>
        </div>

      
        
    

Using data attributes

You can activate a tab or pill navigation without writing any JavaScript by simply specifying data-toggle="tab" or data-toggle="pill" on an element. Use these data attributes on .nav-tabs or .nav-pills.

        
            

        <!-- Nav tabs -->
        <ul class="nav nav-tabs" id="myTabAttr" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="home-tab-attr" data-toggle="tab" href="#home-attr" role="tab" aria-controls="home-attr"
              aria-selected="true">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="profile-tab-attr" data-toggle="tab" href="#profile-attr" role="tab" aria-controls="profile-attr"
              aria-selected="false">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="messages-tab-attr" data-toggle="tab" href="#messages-attr" role="tab" aria-controls="messages-attr"
              aria-selected="false">Messages</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="settings-tab-attr" data-toggle="tab" href="#settings-attr" role="tab" aria-controls="settings-attr"
              aria-selected="false">Settings</a>
          </li>
        </ul>

        <!-- Tab panes -->
        <div class="tab-content">
          <div class="tab-pane active" id="home-attr" role="tabpanel" aria-labelledby="home-tab-attr">...</div>
          <div class="tab-pane" id="profile-attr" role="tabpanel" aria-labelledby="profile-tab-attr">...</div>
          <div class="tab-pane" id="messages-attr" role="tabpanel" aria-labelledby="messages-tab-attr">...</div>
          <div class="tab-pane" id="settings-attr" role="tabpanel" aria-labelledby="settings-tab-attr">...</div>
        </div>

      
        
    

Via JavaScript

Enable tabbable tabs via JavaScript (each tab needs to be activated individually):

        
            

        $('#myTab a').on('click', function (e) {
        e.preventDefault()
        $(this).tab('show')
        })

      
        
    

You can activate individual tabs in several ways:

        
            

        $('#myTab a[href="#profile"]').tab('show') // Select tab by name
        $('#myTab li:first-child a').tab('show') // Select first tab
        $('#myTab li:last-child a').tab('show') // Select last tab
        $('#myTab li:nth-child(3) a').tab('show') // Select third tab

      
        
    

Fade effect

To make tabs fade in, add .fade to each .tab-pane. The first tab pane must also have .show to make the initial content visible.

        
            

        <div class="tab-content">
          <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">...</div>
          <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">...</div>
          <div class="tab-pane fade" id="messages" role="tabpanel" aria-labelledby="messages-tab">...</div>
          <div class="tab-pane fade" id="settings" role="tabpanel" aria-labelledby="settings-tab">...</div>
        </div>

      
        
    

Methods

Asynchronous methods and transitions

All API methods are asynchronous and start a transition. They return to the caller as soon as the transition is started but before it ends. In addition, a method call on a transitioning component will be ignored.

$().tab

This activates a tab element and content container. The tab should have either a data-target or an href targeting a container node in the DOM.

        
            

        <ul class="nav nav-tabs" id="myTab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home"
              aria-selected="true">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile"
              aria-selected="false">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="messages-tab" data-toggle="tab" href="#messages" role="tab" aria-controls="messages"
              aria-selected="false">Messages</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="settings-tab" data-toggle="tab" href="#settings" role="tab" aria-controls="settings"
              aria-selected="false">Settings</a>
          </li>
        </ul>

        <div class="tab-content">
          <div class="tab-pane active" id="home" role="tabpanel" aria-labelledby="home-tab">...</div>
          <div class="tab-pane" id="profile" role="tabpanel" aria-labelledby="profile-tab">...</div>
          <div class="tab-pane" id="messages" role="tabpanel" aria-labelledby="messages-tab">...</div>
          <div class="tab-pane" id="settings" role="tabpanel" aria-labelledby="settings-tab">...</div>
        </div>

      
        
    
        
            

        $(function () {
          $('#myTab li:last-child a').tab('show')
        })
  
      
        
    

.tab(‘show’)

This selects the given tab and shows its associated pane. Any other tab that was previously selected becomes unselected and its associated pane is hidden. Returns to the caller before the tab pane has actually been shown (i.e. before the shown.bs.tab event occurs).

        
            

        $('#someTab').tab('show')

      
        
    

.tab(‘dispose’)

This destroys an element’s tab.


Events

When showing a new tab, the events fire in the following order:

  1. hide.bs.tab (on the current active tab)
  2. show.bs.tab (on the to-be-shown tab)
  3. hidden.bs.tab (on the previously active tab, the same one as for the hide.bs.tab event)
  4. shown.bs.tab (on the newly-active just-shown tab, the same one as for the show.bs.tab event)

If no tab was already active, then the hide.bs.tab and hidden.bs.tab events will not be fired.

Event Type Description
show.bs.tab This event fires on tab show, but before the new tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previously active tab (if available) respectively.
shown.bs.tab This event fires on tab show after a tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previously active tab (if available) respectively.
hide.bs.tab This event fires when a new tab is to be shown (and thus the previously active tab is to be hidden). Use event.target and event.relatedTarget to target the currently active tab and the new soon-to-be-active tab, respectively.
hidden.bs.tab This event fires after a new tab is shown (and thus the previously active tab is hidden). Use event.target and event.relatedTarget to target the previously active tab and the new active tab, respectively.
        
            

        $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
          e.target // newly activated tab
          e.relatedTarget // previous active tab
        })

React Bootstrap Tabs

React Tabs - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap tabs are components which separate content placed in the same wrapper, but in the separate pane. Only one pane can be displayed at the time.

Bootstrap tabs are components which separate content placed in the same wrapper, but in the separate pane. Only one pane can be displayed at the time. Tabs available in MDB share general markup and styles, as well as the .naved element managing the active and disabled states.

MDB Tabs are compatible with ReactRouter, meaning that <NavLink> components inside can be used both for one-page tabs as well as general routing solution for main navigation. Make sure to include the wrapping <BrowserRouter>.

If you are using navs to provide a navigation bar, be sure to add a approptiate role attributes to the <NavLinks> (role="tab").


Default tabs

Default styling for Bootstrap Tabs component

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias.

Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias.

Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias.

        
            
              import React, { Component } from "react";
              import { 
                MDBContainer, 
                MDBTabPane, 
                MDBTabContent, 
                MDBNav, 
                MDBNavItem, 
                MDBNavLink 
              } from "mdbreact";

              class TabsDefault extends Component {
                state = {
                  activeItem: "1"
                };

                toggle = tab => e => {
                  if (this.state.activeItem !== tab) {
                    this.setState({
                      activeItem: tab
                    });
                  }
                };

                render() {
                  return (
                    <MDBContainer>
                      <MDBNav className="nav-tabs mt-5">
                        <MDBNavItem>
                          <MDBNavLink link to="#" active={this.state.activeItem === "1"} onClick={this.toggle("1")} role="tab" >
                            Home
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink link to="#" active={this.state.activeItem === "2"} onClick={this.toggle("2")} role="tab" >
                            Profile
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink link to="#" active={this.state.activeItem === "3"} onClick={this.toggle("3")} role="tab" >
                            Profile
                          </MDBNavLink>
                        </MDBNavItem>
                      </MDBNav>
                      <MDBTabContent activeItem={this.state.activeItem} >
                        <MDBTabPane tabId="1" role="tabpanel">
                          <p className="mt-2">
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Nihil odit magnam minima, soluta doloribus reiciendis
                            molestiae placeat unde eos molestias. Quisquam aperiam,
                            pariatur. Tempora, placeat ratione porro voluptate odit
                            minima.
                          </p>
                        </MDBTabPane>
                        <MDBTabPane tabId="2" role="tabpanel">
                          <p className="mt-2">
                            Quisquam aperiam, pariatur. Tempora, placeat ratione porro
                            voluptate odit minima. Lorem ipsum dolor sit amet,
                            consectetur adipisicing elit. Nihil odit magnam minima,
                            soluta doloribus reiciendis molestiae placeat unde eos
                            molestias.
                          </p>
                          <p>
                            Quisquam aperiam, pariatur. Tempora, placeat ratione porro
                            voluptate odit minima. Lorem ipsum dolor sit amet,
                            consectetur adipisicing elit. Nihil odit magnam minima,
                            soluta doloribus reiciendis molestiae placeat unde eos
                            molestias.
                          </p>
                        </MDBTabPane>
                        <MDBTabPane tabId="3" role="tabpanel">
                          <p className="mt-2">
                            Quisquam aperiam, pariatur. Tempora, placeat ratione porro
                            voluptate odit minima. Lorem ipsum dolor sit amet,
                            consectetur adipisicing elit. Nihil odit magnam minima,
                            soluta doloribus reiciendis molestiae placeat unde eos
                            molestias.
                          </p>
                        </MDBTabPane>
                      </MDBTabContent>
                    </MDBContainer>
                  );
                }
              }
              export default TabsDefault;

           
        
    

Material tabs MDB Pro component

Material Design styling for Bootstrap Tabs component

Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.

Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.

Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.

        
            
                  import React, { Component } from "react";
                  import { 
                    MDBContainer, 
                    MDBRow, 
                    MDBCol, 
                    MDBTabPane, 
                    MDBTabContent, 
                    MDBNav, 
                    MDBNavItem, 
                    MDBNavLink, 
                    MDBIcon 
                  } from "mdbreact";

                  class TabsMaterial extends Component {
                    state = {
                      activeItem: "1"
                    }

                    toggle = tab => () => {
                      if (this.state.activeItem !== tab) {
                      this.setState({
                        activeItem: tab
                      });
                      }
                    }

                    render() {
                      return (
                        <MDBContainer>
                            <MDBNav tabs>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.activeItem === "1"}
                                onClick={this.toggle("1")}
                                role="tab"
                              >
                                <MDBIcon icon="user" /> Profile
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.activeItem === "2"}
                                onClick={this.toggle("2")}
                                role="tab"
                              >
                                <MDBIcon icon="heart" /> Follow
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.activeItem === "3"}
                                onClick={this.toggle("3")}
                                role="tab"
                              >
                                <MDBIcon icon="envelope" /> Contact
                              </MDBNavLink>
                            </MDBNavItem>
                          </MDBNav>
                          <MDBTabContent
                            className="card"
                            activeItem={this.state.activeItem}
                          >
                            <MDBTabPane tabId="1" role="tabpanel">
                              <p className="mt-2">
                                Raw denim you probably haven't heard of them jean shorts
                                Austin. Nesciunt tofu stumptown aliqua, retro synth master
                                cleanse. Mustache cliche tempor, williamsburg carles vegan
                                helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher
                                synth. Cosby sweater eu banh mi, qui irure terry richardson
                                ex squid. Aliquip placeat salvia cillum iphone. Seitan
                                aliquip quis cardigan american apparel, butcher voluptate
                                nisi qui.
                              </p>
                            </MDBTabPane>
                            <MDBTabPane tabId="2" role="tabpanel">
                              <p className="mt-2">
                                Food truck fixie locavore, accusamus mcsweeney's marfa nulla
                                single-origin coffee squid. Exercitation +1 labore velit,
                                blog sartorial PBR leggings next level wes anderson artisan
                                four loko farm-to-table craft beer twee. Qui photo booth
                                letterpress, commodo enim craft beer mlkshk aliquip jean
                                shorts ullamco ad vinyl cillum PBR. Homo nostrud organic,
                                assumenda labore aesthetic magna delectus mollit. Keytar
                                helvetica VHS salvia yr, vero magna velit sapiente labore
                                stumptown. Vegan fanny pack odio cillum wes anderson 8-bit,
                                sustainable jean shorts beard ut DIY ethical culpa terry
                                richardson biodiesel. Art party scenester stumptown, tumblr
                                butcher vero sint qui sapiente accusamus tattooed echo park.
                              </p>
                            </MDBTabPane>
                            <MDBTabPane tabId="3" role="tabpanel">
                              <p className="mt-2">
                                Etsy mixtape wayfarers, ethical wes anderson tofu before
                                they sold out mcsweeney's organic lomo retro fanny pack
                                lo-fi farm-to-table readymade. Messenger bag gentrify
                                pitchfork tattooed craft beer, iphone skateboard locavore
                                carles etsy salvia banksy hoodie helvetica. DIY synth PBR
                                banksy irony. Leggings gentrify squid 8-bit cred pitchfork.
                                Williamsburg banh mi whatever gluten-free, carles pitchfork
                                biodiesel fixie etsy retro mlkshk vice blog. Scenester cred
                                you probably haven't heard of them, vinyl craft beer blog
                                stumptown. Pitchfork sustainable tofu synth chambray yr.
                              </p>
                            </MDBTabPane>
                          </MDBTabContent>
                        </MDBContainer>
                      );
                    }
                  }

                  export default TabsMaterial;
                  
        
    

Tabs with dropdown MDB Pro component

Add dropdown menus with a little extra HTML and the dropdowns React plugin.

        
            
        import React, { Component } from "react";
        import { 
          MDBContainer, 
          MDBNav, 
          MDBNavItem, 
          MDBNavLink, 
          MDBDropdown, 
          MDBDropdownToggle, 
          MDBDropdownMenu, 
          MDBDropdownItem 
        } from "mdbreact";

        class TabsDropdown extends Component {
          render() {
            return (
              <MDBContainer>
                <MDBNav tabs>
                  <MDBNavItem>
                    <MDBNavLink link active to="#!">Active</MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBDropdown>
                      <MDBDropdownToggle nav caret color="default">Dropdown</MDBDropdownToggle>
                      <MDBDropdownMenu color="default">
                        <MDBDropdownItem>Action</MDBDropdownItem>
                        <MDBDropdownItem>Another Action</MDBDropdownItem>
                        <MDBDropdownItem>Something else here</MDBDropdownItem>
                        <MDBDropdownItem divider />
                        <MDBDropdownItem>Separated link</MDBDropdownItem>
                      </MDBDropdownMenu>
                    </MDBDropdown>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink link to="#!">Link</MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem className='disabled'>
                    <MDBNavLink link disabled to="#!">Disabled</MDBNavLink>
                  </MDBNavItem>
                </MDBNav>
              </MDBContainer>
            );
          }
        }
        export default TabsDropdown;
     
        
    

Tabs justified MDB Pro component

Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.

Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.

Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.

        
            
        import React, { Component } from "react";
        import { 
          MDBContainer, 
          MDBRow, 
          MDBCol, 
          MDBTabPane, 
          MDBTabContent, 
          MDBNav, 
          MDBNavItem, 
          MDBNavLink, 
          MDBIcon 
        } from "mdbreact";

        class TabsJustified extends Component {
          state = {
            activeItemJustified: "1"
          }

          toggleJustified = tab => e => {
            if (this.state.activeItemJustified !== tab) {
              this.setState({
                activeItemJustified: tab
              });
            }
          };

          render() {
            return (
              <MDBContainer>
                <MDBNav tabs className="nav-justified" color='indigo'>
                  <MDBNavItem>
                    <MDBNavLink link to="#" active={this.state.activeItemJustified === "1"} onClick={this.toggleJustified("1")} role="tab" >
                      <MDBIcon icon="user" /> Profile
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink link to="#" active={this.state.activeItemJustified === "2"} onClick={this.toggleJustified("2")} role="tab" >
                      <MDBIcon icon="heart" /> Follow
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink link to="#" active={this.state.activeItemJustified === "3"} onClick={this.toggleJustified("3")} role="tab" >
                      <MDBIcon icon="envelope" /> Contact
                    </MDBNavLink>
                  </MDBNavItem>
                </MDBNav>
                <MDBTabContent
                  className="card"
                  activeItem={this.state.activeItemJustified}
                >
                  <MDBTabPane tabId="1" role="tabpanel">
                    <p className="mt-2">
                      Raw denim you probably haven't heard of them jean shorts
                      Austin. Nesciunt tofu stumptown aliqua, retro synth master
                      cleanse. Mustache cliche tempor, williamsburg carles vegan
                      helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher
                      synth. Cosby sweater eu banh mi, qui irure terry richardson
                      ex squid. Aliquip placeat salvia cillum iphone. Seitan
                      aliquip quis cardigan american apparel, butcher voluptate
                      nisi qui.
                    </p>
                  </MDBTabPane>
                  <MDBTabPane tabId="2" role="tabpanel">
                    <p className="mt-2">
                      Food truck fixie locavore, accusamus mcsweeney's marfa nulla
                      single-origin coffee squid. Exercitation +1 labore velit,
                      blog sartorial PBR leggings next level wes anderson artisan
                      four loko farm-to-table craft beer twee. Qui photo booth
                      letterpress, commodo enim craft beer mlkshk aliquip jean
                      shorts ullamco ad vinyl cillum PBR. Homo nostrud organic,
                      assumenda labore aesthetic magna delectus mollit. Keytar
                      helvetica VHS salvia yr, vero magna velit sapiente labore
                      stumptown. Vegan fanny pack odio cillum wes anderson 8-bit,
                      sustainable jean shorts beard ut DIY ethical culpa terry
                      richardson biodiesel. Art party scenester stumptown, tumblr
                      butcher vero sint qui sapiente accusamus tattooed echo park.
                    </p>
                  </MDBTabPane>
                  <MDBTabPane tabId="3" role="tabpanel">
                    <p className="mt-2">
                      Etsy mixtape wayfarers, ethical wes anderson tofu before
                      they sold out mcsweeney's organic lomo retro fanny pack
                      lo-fi farm-to-table readymade. Messenger bag gentrify
                      pitchfork tattooed craft beer, iphone skateboard locavore
                      carles etsy salvia banksy hoodie helvetica. DIY synth PBR
                      banksy irony. Leggings gentrify squid 8-bit cred pitchfork.
                      Williamsburg banh mi whatever gluten-free, carles pitchfork
                      biodiesel fixie etsy retro mlkshk vice blog. Scenester cred
                      you probably haven't heard of them, vinyl craft beer blog
                      stumptown. Pitchfork sustainable tofu synth chambray yr.
                    </p>
                  </MDBTabPane>
                </MDBTabContent>
              </MDBContainer>
            );
          }
        }

        export default TabsJustified;
     
        
    

Pills within tabs MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
          import React, { Component } from "react";
          import {
            MDBContainer,
            MDBTabPane,
            MDBTabContent,
            MDBNav,
            MDBNavItem,
            MDBNavLink,
            MDBRow,
            MDBCol,
            MDBBtn,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText,
            MDBIcon,
          } from "mdbreact";

          class PillsWithinTheTabs extends Component {
            state = {
              activeItemOuterTabs: "1",
              activeItemInnerPills: "1",
            };

            toggleOuterTabs = tab => e => {
              if (this.state.activeItemOuterTabs2 !== tab) {
                this.setState({
                  activeItemOuterTabs: tab
                });
              }
            };

            toggleInnerPills = tab => e => {
              if (this.state.activeItemInnerPills !== tab) {
                this.setState({
                  activeItemInnerPills: tab
                });
              }
            };

            render() {
              return (
                <MDBContainer>
                  <h2 className="mt-5">Pills within the tabs</h2>
                  <MDBNav tabs className="nav-justified" color="primary">
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={this.state.activeItemOuterTabs === "1"} onClick={this.toggleOuterTabs("1")} role="tab" >
                        <MDBIcon icon="user" /> Profile
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={this.state.activeItemOuterTabs === "2"} onClick={this.toggleOuterTabs("2")} role="tab" >
                        <MDBIcon icon="heart" /> Follow
                      </MDBNavLink>
                    </MDBNavItem>
                  </MDBNav>
                  <MDBTabContent
                    className="card mb-5"
                    activeItem={this.state.activeItemOuterTabs}
                  >
                    <MDBTabPane tabId="1" role="tabpanel">
                      <MDBRow>
                        <MDBCol md="3">
                          <MDBNav pills color="primary" className="flex-column">
                            <MDBNavItem>
                              <MDBNavLink link to="#" active={ this.state.activeItemInnerPills === "1"} onClick={this.toggleInnerPills("1")} >
                                Downloads <MDBIcon icon="download" className="ml-2" />
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink link to="#" active={ this.state.activeItemInnerPills === "2"} onClick={this.toggleInnerPills("2")} >
                                Orders & invoices
                                <MDBIcon icon="file-alt" className="ml-2" />
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink link to="#" active={ this.state.activeItemInnerPills === "3"} onClick={this.toggleInnerPills("3")} >
                                Billing Details
                                <MDBIcon icon="address-card" className="ml-2" />
                              </MDBNavLink>
                            </MDBNavItem>
                          </MDBNav>
                        </MDBCol>
                        <MDBCol md="9">
                          <MDBTabContent activeItem={this.state.activeItemInnerPills}>
                            <MDBTabPane tabId="1">
                              <h5>Panel 1</h5>
                            </MDBTabPane>
                            <MDBTabPane tabId="2">
                              <h5>Panel 2</h5>
                            </MDBTabPane>
                            <MDBTabPane tabId="3">
                              <h5>Panel 3</h5>
                            </MDBTabPane>
                          </MDBTabContent>
                        </MDBCol>
                      </MDBRow>
                    </MDBTabPane>
                    <MDBTabPane tabId="2" role="tabpanel">
                      <MDBRow>
                        <MDBCol md="6">
                          <MDBCardBody>
                            <MDBCardTitle>Special Title Treatment</MDBCardTitle>
                            <MDBCardText>
                              With supporting text below as a natural lead-in to
                              additional content.
                            </MDBCardText>
                            <MDBBtn>Go somewhere</MDBBtn>
                          </MDBCardBody>
                        </MDBCol>
                        <MDBCol md="6">
                          <MDBCardBody>
                            <MDBCardTitle>Special Title Treatment</MDBCardTitle>
                            <MDBCardText>
                              With supporting text below as a natural lead-in to
                              additional content.
                            </MDBCardText>
                            <MDBBtn>Go somewhere</MDBBtn>
                          </MDBCardBody>
                        </MDBCol>
                      </MDBRow>
                    </MDBTabPane>
                  </MDBTabContent>
                </MDBContainer>
              );
            }
          }
          export default PillsWithinTheTabs

     
        
    

Classic tabs MDB Pro component

With border

Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.

Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?

At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

        
            
        import React, { Component } from "react";
        import { 
          MDBContainer, 
          MDBTabPane, 
          MDBTabContent, 
          MDBNav, 
          MDBNavItem, 
          MDBNavLink, 
          MDBIcon 
        } from "mdbreact";

        class TabsClassic1 extends Component {
          state = {
            activeItemClassicTabs1: "1"
          };

          toggleClassicTabs1 = tab => () => {
            if (this.state.activeItemClassicTabs1 !== tab) {
              this.setState({
                activeItemClassicTabs2: tab
              });
            }
          };

          render() {
            return (
              <MDBContainer className="classic-tabs">
                  <MDBNav classicTabs color="orange" className="mt-5">
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={ this.state.activeItemClassicTabs1 === "1"} onClick={this.toggleClassicTabs1("1")} >
                        <MDBIcon icon="user" size="2x" />
                        <br />
                        Profile
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={ this.state.activeItemClassicTabs1 === "2"} onClick={this.toggleClassicTabs1("2")} >
                        <MDBIcon icon="heart" size="2x" />
                        <br />
                        Follow
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={ this.state.activeItemClassicTabs1 === "3"} onClick={this.toggleClassicTabs1("3")} >
                        <MDBIcon icon="envelope" size="2x" />
                        <br />
                        Contact
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={ this.state.activeItemClassicTabs1 === "4"} onClick={this.toggleClassicTabs1("4")} >
                        <MDBIcon icon="star" size="2x" />
                        <br />
                        Be Awesome
                      </MDBNavLink>
                    </MDBNavItem>
                  </MDBNav>
                  <MDBTabContent
                    className="card mb-5"
                    activeItem={this.state.activeItemClassicTabs2}
                  >
                    <MDBTabPane tabId="1">
                      <p>
                        Sed ut perspiciatis unde omnis iste natus error sit voluptatem
                        accusantium doloremque laudantium, totam rem aperiam, eaque ipsa
                        quae ab illo inventore veritatis et quasi architecto beatae vitae
                        dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit
                        aspernatur aut odit aut fugit, sed quia consequuntur magni dolores
                        eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam
                        est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci
                        velit, sed quia non numquam eius modi tempora incidunt ut labore
                        et dolore magnam aliquam quaerat voluptatem.
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="2">
                      <p>
                        Ut enim ad minima veniam, quis nostrum exercitationem ullam
                        corporis suscipit laboriosam, nisi ut aliquid ex ea commodi
                        consequatur? Quis autem vel eum iure reprehenderit qui in ea
                        voluptate velit esse quam nihil molestiae consequatur, vel illum
                        qui dolorem eum fugiat quo voluptas nulla pariatur?
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="3">
                      <p>
                        At vero eos et accusamus et iusto odio dignissimos ducimus qui
                        blanditiis praesentium voluptatum deleniti atque corrupti quos
                        dolores et quas molestias excepturi sint occaecati cupiditate non
                        provident, similique sunt in culpa qui officia deserunt mollitia
                        animi, id est laborum et dolorum fuga. Et harum quidem rerum
                        facilis est et expedita distinctio. Nam libero tempore, cum soluta
                        nobis est eligendi optio cumque nihil impedit quo minus id quod
                        maxime placeat facere possimus, omnis voluptas assumenda est,
                        omnis dolor repellendus.
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="4">
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                        eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
                        enim ad minim veniam, quis nostrud exercitation ullamco laboris
                        nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in
                        reprehenderit in voluptate velit esse cillum dolore eu fugiat
                        nulla pariatur. Excepteur sint occaecat cupidatat non proident,
                        sunt in culpa qui officia deserunt mollit anim id est laborum.
                      </p>
                    </MDBTabPane>
                  </MDBTabContent>
                </MDBContainer>
            );
          }
        }

        export default TabsClassic1;
     
        
    

With shadow

Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.

Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?

At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

        
            
        import React, { Component } from "react";
        import { 
          MDBContainer, 
          MDBTabPane, 
          MDBTabContent,
          MDBNav, 
          MDBNavItem, 
          MDBNavLink, 
        } from "mdbreact";

        class TabsClassic2 extends Component {
          state = {
            activeItemClassicTabs2: "1",
          }

          toggleClassicTabs2 = tab => () => {
            if (this.state.activeItemClassicTabs2 !== tab) {
            this.setState({
              activeItemClassicTabs2: tab
            });
            }
          }

          render() {
            return (
              <MDBContainer>
                <div className="classic-tabs">
                  <MDBNav classicTabs color="cyan">
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={this.state.activeItemClassicTabs2 === "1"} onClick={this.toggleClassicTabs2("1")}>
                        Profile
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={this.state.activeItemClassicTabs2 === "2"} onClick={this.toggleClassicTabs2("2")}>
                        Follow
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={this.state.activeItemClassicTabs2 === "3"} onClick={this.toggleClassicTabs2("3")}>
                        Contact
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={this.state.activeItemClassicTabs2 === "4"} onClick={this.toggleClassicTabs2("4")}>
                        Be Awesome
                      </MDBNavLink>
                    </MDBNavItem>
                  </MDBNav>
                  <MDBTabContent
                    className="card"
                    activeItem={this.state.activeItemClassicTabs1}
                  >
                    <MDBTabPane tabId="1">
                      <p>
                        Sed ut perspiciatis unde omnis iste natus error sit voluptatem
                        accusantium doloremque laudantium, totam rem aperiam, eaque ipsa
                        quae ab illo inventore veritatis et quasi architecto beatae
                        vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia
                        voluptas sit aspernatur aut odit aut fugit, sed quia
                        consequuntur magni dolores eos qui ratione voluptatem sequi
                        nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor
                        sit amet, consectetur, adipisci velit, sed quia non numquam eius
                        modi tempora incidunt ut labore et dolore magnam aliquam quaerat
                        voluptatem.
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="2">
                      <p>
                        Ut enim ad minima veniam, quis nostrum exercitationem ullam
                        corporis suscipit laboriosam, nisi ut aliquid ex ea commodi
                        consequatur? Quis autem vel eum iure reprehenderit qui in ea
                        voluptate velit esse quam nihil molestiae consequatur, vel illum
                        qui dolorem eum fugiat quo voluptas nulla pariatur?
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="3">
                      <p>
                        At vero eos et accusamus et iusto odio dignissimos ducimus qui
                        blanditiis praesentium voluptatum deleniti atque corrupti quos
                        dolores et quas molestias excepturi sint occaecati cupiditate
                        non provident, similique sunt in culpa qui officia deserunt
                        mollitia animi, id est laborum et dolorum fuga. Et harum quidem
                        rerum facilis est et expedita distinctio. Nam libero tempore,
                        cum soluta nobis est eligendi optio cumque nihil impedit quo
                        minus id quod maxime placeat facere possimus, omnis voluptas
                        assumenda est, omnis dolor repellendus.
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="4">
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                        eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
                        enim ad minim veniam, quis nostrud exercitation ullamco laboris
                        nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor
                        in reprehenderit in voluptate velit esse cillum dolore eu fugiat
                        nulla pariatur. Excepteur sint occaecat cupidatat non proident,
                        sunt in culpa qui officia deserunt mollit anim id est laborum.
                      </p>
                    </MDBTabPane>
                  </MDBTabContent>
                </div>
              </MDBContainer>
            );
          }
        }

        export default TabsClassic2;
     
        
    

Color options:

  • cyan
  • orange
  • grey
  • pink
  • green
  • primary

Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.

Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?

At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

        
            
        import React, { Component } from "react";
        import { 
          MDBContainer, 
          MDBTabPane, 
          MDBTabContent, 
          MDBNav, 
          MDBNavItem, 
          MDBNavLink, 
          MDBIcon 
        } from "mdbreact";

        class TabsPage extends Component {
          state = {
            activeItemClassicTabs3: "1"
          }

          toggleClassicTabs3 = tab => () => {
            if (this.state.activeItemClassicTabs3 !== tab) {
              this.setState({
                activeItemClassicTabs3: tab
              });
            }
          }

          render() {
            return (
              <MDBContainer>
                <div className="classic-tabs">
                  <MDBNav classicTabs color="orange" className="mt-5">
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={this.state.activeItemClassicTabs3==="1"} onClick={this.toggleClassicTabs3("1")}>
                        <MDBIcon icon="user" size="2x" />
                        <br />
                        Profile
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={this.state.activeItemClassicTabs3==="2"} onClick={this.toggleClassicTabs3("2")}>
                        <MDBIcon icon="heart" size="2x" />
                        <br />
                        Follow
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={this.state.activeItemClassicTabs3==="3"} onClick={this.toggleClassicTabs3("3")}>
                        <MDBIcon icon="envelope" size="2x" />
                        <br />
                        Contact
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink link to="#" active={this.state.activeItemClassicTabs3==="4"} onClick={this.toggleClassicTabs3("4")}>
                        <MDBIcon icon="star" size="2x" />
                        <br />
                        Be Awesome
                      </MDBNavLink>
                    </MDBNavItem>
                  </MDBNav>
                  <MDBTabContent className="card mb-5" activeItem={this.state.activeItemClassicTabs3}>
                    <MDBTabPane tabId="1">
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing
                        elit. Nihil odit magnam minima, soluta doloribus
                        reiciendis molestiae placeat unde eos molestias.
                        Quisquam aperiam, pariatur. Tempora, placeat ratione
                        porro voluptate odit minima.
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="2">
                      <p>
                        Quisquam aperiam, pariatur. Tempora, placeat ratione
                        porro voluptate odit minima. Lorem ipsum dolor sit amet,
                        consectetur adipisicing elit. Nihil odit magnam minima,
                        soluta doloribus reiciendis molestiae placeat unde eos
                        molestias.
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="3">
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing
                        elit. Nihil odit magnam minima, soluta doloribus
                        reiciendis molestiae placeat unde eos molestias.
                        Quisquam aperiam, pariatur. Tempora, placeat ratione
                        porro voluptate odit minima.
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="4">
                      <p>
                        Quisquam aperiam, pariatur. Tempora, placeat ratione
                        porro voluptate odit minima. Lorem ipsum dolor sit amet,
                        consectetur adipisicing elit. Nihil odit magnam minima,
                        soluta doloribus reiciendis molestiae placeat unde eos
                        molestias.
                      </p>
                    </MDBTabPane>
                  </MDBTabContent>
                </div>
              </MDBContainer>
            );
          }
        }

        export default TabsClassic3;
     
        
    

React Tabs - API

In this section you will find advanced information about the Tabs component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

Tabs use other components such as Navigation or Buttons as controls, so make sure you have imported proper modules first.

        
            
          import { MDBTabPane, MDBTabContent } from 'mdbreact';
        
        
    

API Reference: TabContent Properties

The table below shows the configuration options of the MDBTabContent component.

Name Type Default Description Example
activeItem String Active TabPane id - use this prop to control the component <MDBTabContent activeItem={this.state.activeTab} />
className String Sets custom classes, use class card to achieve card-like effect (you can use Card subcomponents inside) <MDBTabContent className="card" />

API Reference: TabPane Properties

The table below shows the configuration options of the MDBTabPane component.

Name Type Default Description Example
className String Adds custom classes <MDBTabPane className="customClass" />
tabId String Indicates active pane <MDBTabPane tabId="tab1" />

Angular Bootstrap tabs

Angular Tabs - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap tabs are components which separate content placed in the same wrapper, but in the separate pane. Only one pane can be displayed at the time.

If you are using navs to provide a navigation bar, be sure to add a role="navigation" to the most logical parent container of the <ul>, or wrap a <nav> element around the whole navigation. Do not add the role to the <ul> itself, as this would prevent it from being announced as an actual list by assistive technologies.


Basic tabs MDB Pro component


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
          <!-- Nav Tabs -->
          <mdb-tabset #staticTabs [buttonClass]="'md-tabs tabs-3'" [contentClass]="'card'">
            <!--Panel 1-->
            <mdb-tab heading="Profile">
              <div class="row">
                <div class="col-12">
                  <br>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                </div>
              </div>
            </mdb-tab>
            <!--Panel 2-->
            <mdb-tab heading="Follow">
              <div class="row">
                <div class="col-12">
                  <br>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                </div>
              </div>
            </mdb-tab>
            <!--Panel 3-->
            <mdb-tab heading="Contact">
              <div class="row">
                <div class="col-12">
                  <br>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                </div>
              </div>
            </mdb-tab>
          </mdb-tabset>
        
        
    

Basic pills MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
          <!-- Nav tabs -->
          <mdb-tabset #staticTabs [buttonClass]="'nav md-pills pills-secondary mb-2'" [justified]="true" [contentClass]="'card'">
            <!--Panel 1-->
            <mdb-tab heading="Profile">
              <div class="row">
                <div class="col-12">
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                </div>
              </div>
            </mdb-tab>
            <!--Panel 2-->
            <mdb-tab heading="Follow">
              <div class="row">
                <div class="col-12">
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                </div>
              </div>
            </mdb-tab>
            <!--Panel 3-->
            <mdb-tab heading="Mail">
              <div class="row">
                <div class="col-12">
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                </div>
              </div>
            </mdb-tab>
            <!--Panel 4-->
            <mdb-tab heading="Help">
              <div class="row">
                <div class="col-12">
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                </div>
              </div>
            </mdb-tab>
          </mdb-tabset>
        
        
    

Classic tabs MDB Pro component

For users who missed for classic Material Design tabs, we created fresh new version of tabs

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
            <!-- Nav tabs -->
            <mdb-tabset [buttonClass]="'classic-tabs tabs-cyan'" [contentClass]="'card'" class="classic-tabs">
              <!--Panel 1-->
              <mdb-tab heading="Profile">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab heading="Follow">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 3-->
              <mdb-tab heading="Contact">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <mdb-tab heading="Be awesome">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
            </mdb-tabset>
          
        
    

Classic pills MDB Pro component

For users who missed for classic Material Design pills, we created fresh new version of pills

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
            <!-- Nav tabs -->
            <mdb-tabset [buttonClass]="'pills-secondary white mb-2'" [contentClass]="'card'">
              <!--Panel 1-->
              <mdb-tab heading="Profile">
                <div class="row">
                  <div class="col-12">
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab heading="Follow">
                <div class="row">
                  <div class="col-12">
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 3-->
              <mdb-tab heading="Contact">
                <div class="row">
                  <div class="col-12">
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <mdb-tab heading="Be awesome">
                <div class="row">
                  <div class="col-12">
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
            </mdb-tabset>
          
        
    

Vertical tabs MDB Pro component

Use [vertical]="true" input to change tabs type to vertical

Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.

Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.

Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.

        
            
            <!-- Nav Tabs -->
            <mdb-tabset #staticTabs [vertical]="true" [buttonClass]="'md-tabs tabs-3 indigo'" [contentClass]="'card'">
              <!--Panel 1-->
              <mdb-tab heading="Home">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab heading="Profile">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 3-->
              <mdb-tab heading="Contact">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
            </mdb-tabset>
          
        
    

Vertical pills MDB Pro component

Use [vertical]="true" input to change pills type to vertical

Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.

Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.

Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.

        
            
            <!-- Nav Tabs -->
            <mdb-tabset #staticTabs [vertical]="true" [buttonClass]="'md-pills pills-success text-center transparent'" [contentClass]="'card'">
              <!--Panel 1-->
              <mdb-tab heading="Home">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab heading="Profile">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 3-->
              <mdb-tab heading="Contact">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
            </mdb-tabset>
          
        
    

Dynamic tabs MDB Pro component

You can create and update tabs dynamically in your component typescript file.

Static tab content
Dynamic tab content 1
Dynamic tab content 2
        
            
            <!-- Nav Tabs -->
            <mdb-tabset #staticTabs [buttonClass]="'md-tabs tabs-orange tabs-3'" [contentClass]="'card'">
              <!--Panel 1-->
              <mdb-tab heading="Static Tab">
                Static tab content
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab *ngFor="let tab of tabs" heading="{{ tab.title }}">
                {{ tab.content }}
              </mdb-tab>
            </mdb-tabset>
          
        
    
        
            
            import { Component, ViewChild, OnInit } from '@angular/core';
            import { TabsetComponent } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'dynamic-tabs',
              templateUrl: './dynamic-tabs.component.html',
            })
            export class DynamicTabs implements OnInit {
              @ViewChild('staticTabs', { static: true }) staticTabs: TabsetComponent;

              tabs: any[] = [
                { title: 'Dynamic Tab 1', content: 'Dynamic tab content 1' },
                { title: 'Dynamic Tab 2', content: 'Dynamic tab content 2' },
              ];

              ngOnInit() {
                setTimeout(() => {
                  this.tabs.push({ title: 'Dynamic Tab 3', content: 'Dynamic tab content 3' });
                }, 2000);
              }
            }
          
        
    

Disable tabs MDB Pro component

Use [disabled]="true" input on mdb-tab component to disable it.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
            <!-- Nav Tabs -->
            <mdb-tabset #staticTabs [buttonClass]="'md-tabs tabs-secondary tabs-3'" [contentClass]="'card'">
              <!--Panel 1-->
              <mdb-tab heading="Profile">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab heading="Follow" [disabled]="true">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 3-->
              <mdb-tab heading="Contact">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
            </mdb-tabset>
          
        
    

Disable tabs programatically MDB Pro component

You can disable tabs programatically in your component typescript file. Use @ViewChild decorator to get reference to the mdb-tabset component and toggle disabled state with built-in method.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
            <!-- Nav Tabs -->
            <mdb-tabset #staticTabs [buttonClass]="'md-tabs tabs-primary tabs-3'" [contentClass]="'card'">
              <!--Panel 1-->
              <mdb-tab heading="Profile">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab heading="Follow">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 3-->
              <mdb-tab heading="Contact">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
            </mdb-tabset>

            <button mdbBtn color="primary" (click)="toggleDisabledState()">Toggle disabled state</button>
          
        
    
        
            
            import { Component, ViewChild } from '@angular/core';
            import { TabsetComponent } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'disable-tab-programatically',
              templateUrl: './disable-tab-programatically.component.html',
            })
            export class DisableTabProgramatically {
              @ViewChild('staticTabs', { static: true }) staticTabs: TabsetComponent;

              toggleDisabledState() {
                this.staticTabs.tabs[2].disabled = !this.staticTabs.tabs[2].disabled;
              }
            }
          
        
    

Remove tabs MDB Pro component

Use [removable]="true" input on mdb-tab component to add button that allow to remove this tab.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
            <!-- Nav Tabs -->
            <mdb-tabset #staticTabs [buttonClass]="'md-tabs tabs-3'" [contentClass]="'card'">
              <!--Panel 1-->
              <mdb-tab heading="Profile">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab heading="Follow" [removable]="true">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 3-->
              <mdb-tab heading="Contact">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
            </mdb-tabset>
          
        
    

Remove tabs programatically MDB Pro component

You can remove tabs programatically from your component typescript file. Use @ViewChild decorator to get reference to the mdb-tabset component and remove tab with built-in method.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
            <!-- Nav Tabs -->
            <mdb-tabset #staticTabs [buttonClass]="'md-tabs tabs-cyan tabs-3'" [contentClass]="'card'">
              <!--Panel 1-->
              <mdb-tab heading="Profile">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab heading="Follow">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 3-->
              <mdb-tab heading="Contact">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
            </mdb-tabset>

            <button mdbBtn type="button" color="info" class="waves-light" mdbWavesEffect (click)="removeTab()">Remove tab</button>
          
        
    
        
            
            import { Component, ViewChild } from '@angular/core';
            import { TabsetComponent } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'remove-tabs',
              templateUrl: './remove-tabs.component.html',
            })
            export class RemoveTabsComponent {
              @ViewChild('staticTabs', { static: true }) staticTabs: TabsetComponent;

              removeTab() {
                const tab = this.staticTabs.tabs[0];
                this.staticTabs.removeTab(tab);
              }
            }
          
        
    

Set active tab MDB Pro component

Use @ViewChild decorator to get access to mdb-tabset methods and change active tab with setActiveTab method. As parameter, this method takes an index number of tab. Index is counted from 1 and not from 0.

        
            
            <!-- Nav Tabs -->
            <mdb-tabset #staticTabs [buttonClass]="'md-tabs tabs-3'" [contentClass]="'card'">
              <!--Panel 1-->
              <mdb-tab heading="Profile">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab heading="Follow">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 3-->
              <mdb-tab heading="Contact">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
            </mdb-tabset>

            <button mdbBtn color="primary" (click)="changeActiveTab()">Change active tab</button>
          
        
    
        
            
            import { Component, ViewChild } from '@angular/core';
            import { TabsetComponent } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'set-active-tab',
              templateUrl: './set-active-tab.component.html',
            })
            export class SetActiveTabComponent {
              @ViewChild('staticTabs', { static: true }) staticTabs: TabsetComponent;

              changeActiveTab() {
                this.staticTabs.setActiveTab(3);
              }
            }
          
        
    

Dynamic & static Tabs MDB Pro component

Use tabOrder input on every tab to determine the order of rendering tabs.

        
            
            <!-- Nav Tabs -->
            <mdb-tabset #staticTabs [buttonClass]="'md-tabs tabs-3'" [contentClass]="'card'">
              <mdb-tab heading="Static Tab 1" tabOrder="1">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.</p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 1-->
              <mdb-tab *ngFor="let tab of tabs; let i = index;" tabOrder="{{ i + staticTabsNumber }}" heading="{{ tab.heading }}">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>{{ tab.heading }}</p>
                  </div>
                </div>
              </mdb-tab>
              <mdb-tab heading="Static Tab 2" [tabOrder]="tabs.length + staticTabsNumber">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                      reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                      porro voluptate odit minima.</p>
                  </div>
                </div>
              </mdb-tab>
            </mdb-tabset>
          
        
    
        
            
            import {Component} from '@angular/core';

            @Component({
              selector: 'mixed-tabs',
              templateUrl: './mixed-tabs.component.html',
              styleUrls: ['./mixed-tabs.component.scss'],
            })
            export class MixedTabsComponent {
              staticTabsNumber: number = 2;
              tabs = [
                {heading: 'Dynamic Tab 1'},
                {heading: 'Dynamic Tab 2'},
                {heading: 'Dynamic Tab 3'}
              ];
            }
          
        
    

Icons as tab MDB Pro component

Use type="content" input on every tab to determine if this tab should be aligned on the right side of the tabset.

        
            
            <!-- Nav tabs -->
            <mdb-tabset [buttonClass]="'classic-tabs tabs-cyan'" [contentClass]="'card'" class="classic-tabs">
              <!--Panel 1-->
              <mdb-tab heading="Profile">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab heading="Follow">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 3-->
              <mdb-tab heading="Contact">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <mdb-tab heading="Be awesome">
                <div class="row">
                  <div class="col-12">
                    <br>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                      placeat ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <mdb-tab heading="<i class='fas fa-user'></i>" type="content">
              </mdb-tab>
              <mdb-tab heading="<i class='fas fa-desktop'></i>" type="content">
              </mdb-tab>
            </mdb-tabset>
          
        
    

Angular Tabs - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of tab component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { TabsModule, WavesModule } from 'ng-uikit-pro-standard'
        
        
    

Components

MdbTabset

Selector: mdb-tabset

Type: TabsetComponent

MdbTab

Selector: mdb-tab

Type: TabDirective


Inputs

MdbTabset
Name Type Default Description Example
buttonClass string - Allow to apply custom styles to tabs buttons [buttonClass]="'md-tabs tabs-primary'"
contentClass string - Allow to apply custom styles to tabs content [customClass]="'card'"
disableWaves boolean false Allow to disable waves effect on tabs buttons [disableWaves]="true"
tabsButtonsClass string 'col-md-3' or 'col-md-12' Allow to overwrite the default grid class for tabs (buttons) container. tabsButtonsClass="col-md-6 mx-auto"
tabsContentClass string 'col-md-9' or 'col-md-12' Allow to overwrite the default grid class for tab content container. tabsContentClass="col-md-10 mx-auto"
MdbTab
Name Type Default Description Example
disabled boolean false Specifies disabled state of tab [disabled]="true"
heading string - Specifies tab heading title [heading]="'Profile'"
removable boolean false Adds button that allow to remove the tab [removable]="true"
tabOrder number - Determine the tab order when want to mix dynamic & static tabs in one tabset. tabOrder="1"
type string - Determines the type of the tab. Leave empty if simple tab, and set to 'content' if you want to place there icon / button or something similar. type="content"

Outputs

MdbTabset
Name Type Description Example
getActiveTab EventEmitter<any> Event fired when active tab changes (getActiveTab)="onGetActiveTab($event)"
hideBsTab EventEmitter<any> Event fired when a new tab is to be show (and this the previous active tab is to be hidden) (hideBsTab)="onHide($event)"
hiddenBsTab EventEmitter<any> Event fired after a new tab is shown (and this the previous active tab is hidden) (hiddenBsTab)="onHidden($event)"
showBsTab EventEmitter<any> Event fired on tab show, but before the new tab has been shown (showBsTab)="onShow($event)"
shownBsTab EventEmitter<any> Event fired on tab show, after a tab has been shown (shownBsTab)="onShown($event)"
MdbTab
Name Type Description Example
deselect EventEmitter<TabDirective> Event fired when tab became inactive (deselect)="onDeselect($event)"
removed EventEmitter<TabDirective> Event fired before tab will be removed (removed)="onRemoved($event)"
select EventEmitter<TabDirective> Event fired when tab became active (select)="onSelect($event)"

Methods

You can get access to tabs methods from another component. Add template reference variable to your mdb-tabset component in HTML file

<mdb-tabset #staticTabs></mdb-tabset>

Then in your typescript file use @ViewChild decorator to get access to MdbTabset methods

@ViewChild('staticTabs', { static: true }) staticTabs: TabsetComponent

Name Description Example
disabled Disables specified tab this.staticTabs.tabs[2].disabled
removeTab Removes specified tab this.staticTabs.removeTab(this.staticTabs.tabs[0])
setActiveTab Marks specified tab as active by providing an tab index as parameter. Tab index starts from 1, not 0. this.staticTabs.setActiveTab(3)

Angular Tabs - examples & customization


Basic tabs with icons MDB Pro component


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
          <!-- Nav tabs -->
          <mdb-tabset #staticTabs [buttonClass]="'md-tabs tabs-3 indigo'" [contentClass]="''">
            <!--Panel 1-->
            <mdb-tab heading="<i class='fas fa-user'></i> Profile">
              <div class="row">
                <div class="col-12">
                  <br>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                </div>
              </div>
            </mdb-tab>
            <!--Panel 2-->
            <mdb-tab heading="<i class='fas fa-heart'></i> Follow">
              <div class="row">
                <div class="col-12">
                  <br>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                </div>
              </div>
            </mdb-tab>
            <!--Panel 3-->
            <mdb-tab heading="<i class='fas fa-envelope'></i> Mail">
              <div class="row">
                <div class="col-12">
                  <br>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus
                    reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione
                    porro voluptate odit minima.
                  </p>
                </div>
              </div>
            </mdb-tab>
          </mdb-tabset>
        
        
    

Basic pills with icons MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
            <!-- Nav tabs -->
            <mdb-tabset #staticTabs [buttonClass]="'md-tabs pills-secondary white'" [contentClass]="''">
              <!--Panel 1-->
              <mdb-tab heading="<i class='fas fa-user'></i> Profile">
                <div class="row">
                  <div class="col-12">
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 2-->
              <mdb-tab heading="<i class='far fa-heart'></i> Follow">
                <div class="row">
                  <div class="col-12">
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
              <!--Panel 3-->
              <mdb-tab heading="<i class='fas fa-envelope'></i> Mail">
                <div class="row">
                  <div class="col-12">
                    <p>
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                      doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat
                      ratione porro voluptate odit minima.
                    </p>
                  </div>
                </div>
              </mdb-tab>
            </mdb-tabset>
          
        
    

Classic tabs with icons MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
              <!-- Nav tabs -->
              <mdb-tabset [buttonClass]="'classic-tabs tabs-orange'" [contentClass]="'card'" class="classic-tabs">
                <!--Panel 1-->
                <mdb-tab heading="<i class='fas fa-icon fa-2x'></i><br>Profile">
                  <div class="row">
                    <div class="col-12">
                      <br>
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                        doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                        placeat ratione porro voluptate odit minima.
                      </p>
                    </div>
                  </div>
                </mdb-tab>
                <!--Panel 2-->
                <mdb-tab heading="<i class='far fa-heart fa-2x'></i><br>Follow">
                  <div class="row">
                    <div class="col-12">
                      <br>
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                        doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                        placeat ratione porro voluptate odit minima.
                      </p>
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                        doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                        placeat ratione porro voluptate odit minima.
                      </p>
                    </div>
                  </div>
                </mdb-tab>
                <!--Panel 3-->
                <mdb-tab heading="<i class='fas fa-envelope fa-2x'></i><br>Contact">
                  <div class="row">
                    <div class="col-12">
                      <br>
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                        doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                        placeat ratione porro voluptate odit minima.
                      </p>
                    </div>
                  </div>
                </mdb-tab>
                <mdb-tab heading="<i class='fas fa-star fa-2x'></i><br>Be awesome">
                  <div class="row">
                    <div class="col-12">
                      <br>
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                        doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                        placeat ratione porro voluptate odit minima.
                      </p>
                    </div>
                  </div>
                </mdb-tab>
              </mdb-tabset>
            
        
    

Classic pills with icons MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
              <!-- Nav tabs -->
              <mdb-tabset [buttonClass]="'pills-secondary white mb-2'" [contentClass]="'card'">
                <!--Panel 1-->
                <mdb-tab heading="<i class='fas fa-user'></i> Profile">
                  <div class="row">
                    <div class="col-12">
                      <br>
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                        doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                        placeat ratione porro voluptate odit minima.
                      </p>
                    </div>
                  </div>
                </mdb-tab>
                <!--Panel 2-->
                <mdb-tab heading="<i class='far fa-heart'></i> Follow">
                  <div class="row">
                    <div class="col-12">
                      <br>
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                        doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                        placeat ratione porro voluptate odit minima.
                      </p>
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                        doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                        placeat ratione porro voluptate odit minima.
                      </p>
                    </div>
                  </div>
                </mdb-tab>
                <!--Panel 3-->
                <mdb-tab heading="<i class='fas fa-envelope'></i> Contact">
                  <div class="row">
                    <div class="col-12">
                      <br>
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                        doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                        placeat ratione porro voluptate odit minima.
                      </p>
                    </div>
                  </div>
                </mdb-tab>
                <mdb-tab heading="<i class='fas fa-star'></i> Be awesome">
                  <div class="row">
                    <div class="col-12">
                      <br>
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta
                        doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora,
                        placeat ratione porro voluptate odit minima.
                      </p>
                    </div>
                  </div>
                </mdb-tab>
              </mdb-tabset>

Vue Bootstrap Tabs

Vue Tabs - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap tabs are components which separate content placed in the same wrapper, but in the separate pane. Only one pane can be displayed at the time.

Note: If you are looking for pills, go to the Pills documentation


Default tabs

Default styling for Bootstrap Tabs component

        
            
            <template>
              <mdb-container>
                <mdb-tabs 
                  :active="0"
                  default
                  :links="[
                    { text: 'Home' },
                    { text: 'Profile' },
                    { text: 'Contact' }]" 
                  :content="[
                    `Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.`,
                    `Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.`,
                    `Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.`]"
                />
              </mdb-container>
            </template>
          
        
    
        
            
            <script>
              import { mdbContainer, mdbCol, mdbRow, mdbIcon, mdbTabs } from 'mdbvue';
              export default {
                name: 'TabPage',
                components: {
                  mdbContainer,
                  mdbCol,
                  mdbRow,
                  mdbIcon,
                  mdbTabs
                }
              }
            </script>       
        
        
    

Material tabs MDB Pro component

Material Design styling for Bootstrap Tabs component

        
            
            <template>
              <mdb-tabs 
                :active="0"
                tabs 
                card
                class="mb-5"
                :links="[
                  { text: 'Home' },
                  { text: 'Profile' },
                  { text: 'Contact' }]" 
                :content="[
                  `Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.`,
                  `Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.`,
                  `Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.`]"
              />
            </template>
          
        
    
        
            
            <script>
              import { mdbTabs } from 'mdbvue';
              export default {
                name: 'Basic',
                components: {
                  mdbTabs
                }
              }
            </script>
        
        
    


Tabs justified MDB Pro component

        
            
        <template>
          <mdb-tabs 
            :active="0"
            tabs 
            card
            class="mb-5"
            color="indigo"
            justify
            :links="[
              { text: 'Home' },
              { text: 'Profile' },
              { text: 'Contact' }]" 
            :content="[
              `Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.`,
              `Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.`,
              `Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.`]"
          />
        </template>
      
        
    
        
            
        <script>
          import { mdbTabs } from 'mdbvue';
          export default {
            name: 'Basic',
            components: {
              mdbTabs
            }
          }
        </script>
    
        
    

Pills within tabs MDB Pro component

Profile Follow Downloads Orders & Invoices Billing Details
Panel 1
Panel 2
Panel 3

At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga.

Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.
        
            
        <template>
          <mdb-container class="m-5">
            <mdb-tab tabs color="primary" justify>
              <mdb-tab-item icon="user" :active="pillsActive==0" @click.native.prevent="pillsActive=0">Profile</mdb-tab-item>
              <mdb-tab-item icon="heart" :active="pillsActive==1" @click.native.prevent="pillsActive=1">Follow</mdb-tab-item>
            </mdb-tab>
            <mdb-tab-content>
              <mdb-tab-pane class="fade" key="show1" v-if="pillsActive==0">
                <mdb-row>
                  <mdb-col md="3">
                    <mdb-tab pills color="primary" vertical>
                      <mdb-tab-item :active="verticalWithin==0" @click.native.prevent="verticalWithin=0">Downloads <mdb-icon icon="download" class="ml-2"/></mdb-tab-item>
                      <mdb-tab-item :active="verticalWithin==1" @click.native.prevent="verticalWithin=1">Orders & Invoices <mdb-icon icon="file" class="ml-2"/></mdb-tab-item>
                      <mdb-tab-item :active="verticalWithin==2" @click.native.prevent="verticalWithin=2">Billing Details <mdb-icon icon="address-card" class="ml-2"/></mdb-tab-item>
                    </mdb-tab>
                  </mdb-col>
                  <mdb-col md="9">
                    <mdb-tab-content vertical>
                      <mdb-tab-pane class="fade" key="pills1" v-if="verticalWithin==0"><h5 class="my-2 h5">Panel 1</h5></mdb-tab-pane>
                      <mdb-tab-pane class="fade" key="pills2" v-if="verticalWithin==1"><h5 class="my-2 h5">Panel 2</h5></mdb-tab-pane>
                      <mdb-tab-pane class="fade" key="pills3" v-if="verticalWithin==2"><h5 class="my-2 h5">Panel 3</h5></mdb-tab-pane>
                    </mdb-tab-content>
                  </mdb-col>
                </mdb-row>
              </mdb-tab-pane>
              <mdb-tab-pane class="fade" key="show2" v-if="pillsActive==1"><br/>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. <br><br>Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</mdb-tab-pane>
            </mdb-tab-content>
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbTab, mdbTabItem, mdbTabContent, mdbTabPane, mdbContainer, mdbCol, mdbRow, mdbIcon } from 'mdbvue';
          export default {
            name: 'TabPage',
            components: {
              mdbTab,
              mdbTabItem,
              mdbTabContent,
              mdbTabPane,
              mdbContainer,
              mdbCol,
              mdbRow,
              mdbIcon
            },
            data() {
              return {
                pillsActive: 0,
                verticalWithin: 0
              };
            }
          }
        </script>
      
        
    
        
            
        <!-- Styles are used for tab animation, which is open for customization and optional -->
        <style scoped>
          .slide-toggle-enter-active {
            transition: .3s ease-in;
            opacity: 1;
            max-height: 500px;
          }

          .slide-toggle-enter,
          .slide-toggle-leave-active {
            opacity: 0;
            max-height: 0;
          }

          .slide-toggle-leave {
            opacity: 1;
            max-height: 500px;
          }
        </style>
    
        
    

Classic tabs MDB Pro component

With border

        
            
        <template>
          <div class="classic-tabs">
            <mdb-tabs 
              :active="0" 
              border
              class="mb-5"
              color="cyan"
              :links="[
                { text: 'Profile' },
                { text: 'Follow' },
                { text: 'Contact' },
                { text: 'Be awesome' }]" 
              :content="[
                `Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.`,
                `Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?`,
                `At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.`,
                `Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.`]"
            />
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbTabs } from 'mdbvue';
          export default {
            name: 'Basic',
            components: {
              mdbTabs
            }
          }
        </script>
    
        
    

With shadow

        
            
        <template>
          <div class="classic-tabs">
            <mdb-tabs 
              :active="0" 
              card
              class="mb-5"
              color="cyan"
              :links="[
                { text: 'Profile' },
                { text: 'Follow' },
                { text: 'Contact' },
                { text: 'Be awesome' }]" 
              :content="[
                `Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.`,
                `Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?`,
                `At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.`,
                `Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.`]"
            />
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbTabs } from 'mdbvue';
          export default {
            name: 'Basic',
            components: {
              mdbTabs
            }
          }
        </script>
    
        
    

Color options:

  • cyan
  • orange
  • grey
  • pink
  • green
  • primary
        
            
        <template>
          <div class="classic-tabs">
            <mdb-tabs 
              :active="0" 
              card
              class="mb-5"
              color="orange"
              :links="[
                { text: 'Profile', icon: 'user', bigIcon: true },
                { text: 'Follow', icon: 'heart', bigIcon: true },
                { text: 'Contact', icon: 'envelope', bigIcon: true },
                { text: 'Be awesome', icon: 'star', bigIcon: true }]" 
              :content="[
                `Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.`,
                `Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?`,
                `At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.`,
                `Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.`]"
            />
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbTabs } from 'mdbvue';
          export default {
            name: 'Basic',
            components: {
              mdbTabs
            }
          }
        </script>
    
        
    

Tabs with HTML content

To display your custom HTML content in tabs, place your template inside a wrapper with a reference to a named slot. For every link from links array, a slot is created - if you add additional key to the link object (slot: 'custom-name') the slot will be named according to the given value, if not, the name will be exactly the same as the link's 'text' value. You can adjust tabs tranistions with transition-duration transition-style properties.

        
            
        <template>
          <mdb-tabs 
          :active="0"
          default
          :links="[
            { text: 'Home', slot: 'custom-slot' },
            { text: 'Blog' },
            { text: 'Contact' }]"
          :transition-duration="0.5"
          transition-style="linear"
        >
          <template :slot="'custom-slot'">
            <mdb-container>
              <mdb-jumbotron class="text-center hoverable">
                <mdb-row>
                  <mdb-col md="4" offsetMd="1" class="m-3">
                    <mdb-view src="https://mdbootstrap.com/img/Photos/Others/laptop-sm.webp" alt="Sample image for first version of blog listing">
                      <a><mdb-mask waves overlay="white-slight"/></a>
                    </mdb-view>
                  </mdb-col>
                  <mdb-col md="7" class="text-md-left ml-3 mt-3">
                    <a href="#!" class="green-text">
                      <h6 class="h6 pb-1"><mdb-icon icon="desktop" class="pr-1"/> Work</h6>
                    </a>
                    <h4 class="h4 mb-4">This is title of the news</h4>
                    <p class="font-weight-normal">Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque, totam
                      rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae
                      dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur.</p>
                    <p class="font-weight-normal">by <a><strong>Carine Fox</strong></a>, 19/08/2016</p>
                    <mdb-btn color="success">Read more</mdb-btn>
                  </mdb-col>
                </mdb-row>
              </mdb-jumbotron>
            </mdb-container>
          </template>
          <template :slot="'Blog'">
            <mdb-container>
              <mdb-jumbotron class="text-center hoverable">
                <mdb-row>
                  <mdb-col lg="5">
                    <mdb-view class="rounded z-depth-2 mb-lg-0 mb-4" hover>
                      <img class="img-fluid" src="https://mdbootstrap.com/img/Photos/Others/img%20(27).webp" alt="Sample image" />
                      <a>
                        <mdb-mask overlay="white-slight" waves/>
                      </a>
                    </mdb-view>
                  </mdb-col>
                  <mdb-col lg="7">
                    <a class="green-text">
                      <h6 class="font-weight-bold mb-3">
                        <mdb-icon icon="utensils" class="pr-2" />Food</h6>
                    </a>
                    <h3 class="font-weight-bold mb-3 p-0">
                      <strong>Title of the news</strong>
                    </h3>
                    <p>Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat mdb-iconcere
                      possimus, omnis voluptas assumenda est, omnis dolor repellendus et aut officiis debitis.</p>
                    <p>by
                      <a>
                        <strong>Carine Fox</strong>
                      </a>, 19/08/2018</p>
                    <mdb-btn color="success" size="md" class="waves-light ">Read more</mdb-btn>
                  </mdb-col>
                </mdb-row>
              </mdb-jumbotron>
              <mdb-jumbotron class="text-center hoverable">
                <mdb-row>
                  <mdb-col lg="7">
                    <a class="pink-text">
                      <h6 class="font-weight-bold mb-3">
                        <mdb-icon icon="image" class="pr-2" />Lifestyle
                      </h6>
                    </a>
                    <h3 class="font-weight-bold mb-3 p-0">
                      <strong>Title of the news</strong>
                    </h3>
                    <p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti
                      quos dolores et quas molestias excepturi sint occaecati cupiditate non provident.</p>
                    <p>by
                      <a>
                        <strong>Carine Fox</strong>
                      </a>, 14/08/2018</p>
                    <mdb-btn color="pink" size="md" class="mb-lg-0 mb-4 waves-light">Read more</mdb-btn>
                  </mdb-col>
                  <mdb-col lg="5">
                    <mdb-view class="rounded z-depth-2 mb-lg-0 mb-4" hover>
                      <img class="img-fluid" src="https://mdbootstrap.com/img/Photos/Others/img%20(34).webp" alt="Sample image" />
                      <a>
                        <mdb-mask overlay="white-slight" waves/>
                      </a>
                    </mdb-view>
                  </mdb-col>
                </mdb-row>
              </mdb-jumbotron>
            </mdb-container>
          </template>
          <template :slot="'Contact'">
            <mdb-container>
              <mdb-jumbotron class="text-center hoverable">
                <form>
                  <p class="h4 text-center mb-4">Write to us</p>
                  <div class="grey-text">
                    <mdb-input label="Your name" icon="user" group type="text" validate error="wrong" success="right"/>
                    <mdb-input label="Your email" icon="envelope" group type="email" validate error="wrong" success="right"/>
                    <mdb-input label="Subject" icon="tag" group type="text" validate error="wrong" success="right"/>
                    <mdb-textarea :rows="2" label="Your message" icon="pencil"/>
                  </div>
                  <div class="text-center">
                    <mdb-btn outline="secondary">Send <mdb-icon far icon="paper-plane" class="ml-1"/></mdb-btn>
                  </div>
                </form> 
              </mdb-jumbotron>
            </mdb-container>
          </template>
        </mdb-tabs>
      </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbCol, mdbRow, mdbIcon, mdbTabs, mdbJumbotron, mdbView, mdbMask, mdbBtn, mdbTextarea, mdbInput } from 'mdbvue';
          
          export default {
            name: 'TabPage',
            components: {
              mdbContainer,
              mdbCol,
              mdbRow,
              mdbIcon,
              mdbTabs,
              mdbJumbotron,
              mdbView,
              mdbMask,
              mdbBtn,
              mdbTextarea,
              mdbInput,
            }
          };
        </script>
    
        
    

Vue Tabs - API

In this section you will find advanced information about the Tabs component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
      <script>
        import { mdbTabs } from 'mdbvue';
      </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
tag String 'ul' Changes tabs's wrapper tag <mdb-tabs tag="div" />
active Number 0 Active element index <mdb-tabs :active="1" />
color String 'default' Changes tabs's color <mdb-tabs color="cyan" />
pills Boolean false Changes tabs into pills <mdb-tabs pills />
tabs Boolean false Changes tabs into nav tabs <mdb-tabs tabs />
vertical Boolean false Flex column layout <mdb-tabs vertical />
justify Boolean false Justified layout <mdb-tabs justify />
navClass String Adds new classes to already existing <mdb-tabs navClass="..." />
card Boolean false Changes tabs style into card layout <mdb-tabs card />
header Boolean false Changes tabs style into card header layout <mdb-tabs header />
links Array Nav links data <mdb-tabs :links="[{...}, {...}]" />
content Array Tab content data <mdb-tabs :content="[{...}, {...}]" />
border Boolean false Replace card shadow by border <mdb-tabs border />
zIndex Number 1 Change component z-index value <mdb-tabs zIndex="0" />
transitionDuration Number 0.3 Change transition duration (in seconds) <mdb-tabs :transition-duration="0.8" />
transitionStyle String 'ease-out' Change transition style <mdb-tabs transition-style="ease-in" />

API Reference: Methods

Name Parameters Description Example
v-on:activeTab index Returns active tab index after each tab change <mdb-tabs @activeTab="getActiveTabIndex" />